Skip to main content
GET
/
activity-log
Search activity log
curl --request GET \
  --url https://api-sb.meld.io/activity-log \
  --header 'Authorization: <api-key>'
{
  "activities": [
    {
      "actor": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>"
      },
      "attributes": {},
      "details": "<unknown>",
      "entity": {
        "id": "<string>",
        "type": "<string>"
      },
      "key": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "remaining": 123
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

start
string<date-time>
required

Start date/time of the date range.

ISO DateTime Format yyyy-MM-dd'T'HH:mm:ss e.g. '2021-02-15T10:30:00.000-08:00'

Time zone must match the time zone of the end date/time if also present.

end
string<date-time>
required

End date/time of the date range.

ISO DateTime Format yyyy-MM-dd'T'HH:mm:ss e.g. '2021-02-15T11:30:00.000-08:00'

Time zone must match the time zone of the start date/time if also present.

actions
string

Comma separated list of actions to include.

Only include activity for these actions.

requestId
string

Only include activity that occurred during this request.

customerId
string

Only include activity for this customer.

The customerId and externalCustomerId fields cannot be used in the same request.

externalCustomerId
string

Only include activity for this customer.

The customerId and externalCustomerId fields cannot be used in the same request.

connectionIds
string

Comma separated list of connection ids to include.

Only include activity for these connections.

financialAccountIds
string

Comma separated list of financial account ids to include.

Only include activity for these financial accounts.

eventType
string

Only include activity for this event type.

before
string

Unique key corresponding to an activity's position in the paginated list of results -- used to indicate that only activity residing before this key will be retrieved.

Each activity carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

after
string

Unique key corresponding to an activity's position in the paginated list of results -- used to indicate that only activity residing after this key will be retrieved.

Each activity carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

limit
integer<int32>

Limits number of returned activity.

Default value: 10

Minimum value: 1

Maximum value: 100

Response

Activity is returned

activities
object[]

Activities

count
integer<int32>

Number of activities returned.

remaining
integer<int32>

Number of remaining activities before/after this page, depending on the direction this page was selected.